Socket (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.condition, class: Socket

# Class Socket

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.taskdefs.condition.Socket

All Implemented Interfaces:
  `Cloneable, Condition`

public class Socket extends ProjectComponent implements Condition
Condition to wait for a TCP/IP socket to have a listener. Its attributes are: server - the name of the server. port - the port number of the socket.

Since:
  Ant 1.5

- ## Field Summary

  ### Fields inherited from class ProjectComponent

  `description, location, project`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  Deprecated.
  since 1.6.x.
  `protected Location`
  `location`
  Deprecated.
  since 1.6.x.
  `protected Project`
  `project`
  Deprecated.
  since 1.6.x.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Socket()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `eval()`
  Is this condition true?
  `void`
  `setPort(int port)`
  Set the port attribute
  `void`
  `setServer(String server)`
  Set the server attribute

  ### Methods inherited from class ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getDescription()`
  Returns the description of the current action.
  `Location`
  `getLocation()`
  Returns the file/location where this task was defined.
  `Project`
  `getProject()`
  Returns the project to which this component belongs.
  `void`
  `log(String msg)`
  Logs a message with the default (INFO) priority.
  `void`
  `log(String msg, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `setDescription(String desc)`
  Sets a description of the current action.
  `void`
  `setLocation(Location location)`
  Sets the file/location where this task was defined.
  `void`
  `setProject(Project project)`
  Sets the project object of this component.

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Socket

    public Socket()

- ## Method Details

  - ### setServer

    public void setServer(String server)
    Set the server attribute
    Parameters:
      `server` - the server name

  - ### setPort

    public void setPort(int port)
    Set the port attribute
    Parameters:
      `port` - the port number of the socket

  - ### eval

    public boolean eval() throws BuildException
    Description copied from interface: `Condition`
    Is this condition true?
    Specified by:
      `eval` in interface `Condition`
    Returns:
      true if a socket can be created
    Throws:
      `BuildException` - if the attributes are not set